%global _name cffi
%global _summary C Foreign Function Interface for Python
%global _description \
C Foreign Function Interface for Python. Interact with almost any C code from Python,\
based on C-like declarations that you can often copy-paste from header files or documentation.

Name:		python-%{_name}
Version:	1.14.1
Release:	1
Summary:	%{_summary}
License:	MIT
URL:		http://cffi.readthedocs.org
Source0:	https://files.pythonhosted.org/packages/source/c/cffi/%{_name}-%{version}.tar.gz

Buildrequires:  gdb libffi-devel gcc-c++ gcc

%?python_enable_dependency_generator

%description %{_description}

%package -n python2-%{_name}
Summary:    %{_summary}
Buildrequires:  python2-devel python2-pycparser python2-pytest python2-setuptools
%{?python_provide:%python_provide python2-%{_name}}

%description -n python2-%{_name} %{_description}

%package -n python3-%{_name}
Summary:    %{_summary}
Buildrequires:  python3-devel python3-pycparser python3-pytest python3-setuptools
%{?python_provide:%python_provide python3-%{_name}}

%description -n python3-%{_name} %{_description}

%package_help

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python2_sitearch} %{__python2} -m pytest c/ testing/
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} -m pytest c/ testing/

%files -n python2-%{_name}
%defattr(-,root,root)
%doc LICENSE AUTHORS
%{python2_sitearch}/%{_name}/*
%{python2_sitearch}/%{_name}*info/
%{python2_sitearch}/_%{_name}*.so

%files -n python3-%{_name}
%defattr(-,root,root)
%license LICENSE AUTHORS
%{python3_sitearch}/%{_name}/*
%{python3_sitearch}/%{_name}*info/
%{python3_sitearch}/_%{_name}*.so

%files help
%defattr(-,root,root)
%doc PKG-INFO README.md

%changelog
* Wed Aug 12 2020 Leo Fang <leofang_94@163.com> - 1.14.1-1
- Upgrade to version 1.14.1

* Sat Aug 01 2020 Leo Fang <leofang_94@163.com> - 1.12.3-1
- Upgrade to version 1.12.3

* Tue Nov 5 2019 shenyangyang<shenyangyang4@huawei.com> - 1.11.5-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add provides of pythonx.7dist(cffi)

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 1.11.5-9
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move license file

* Thu Sep 5 2019 shenyangyang<shenyangyang4@huawei.com> - 1.11.5-8
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:optimize the method to provide default version of python-name

* Wed Aug 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.11.5-7
- Package init
